%define gituser   git
Summary:	Gitolite setup used by PLD
Summary(pl.UTF-8):	Konfiguracja Gitolite wykorzystywana przez PLD
Name:		pld-gitolite
Version:	0.13.4
Release:	1
License:	GPL v2
Group:		Development/Building
Source0:	https://github.com/draenog/gitolite-scripts/tarball/v%{version}/gitolite-scripts.tar.gz
# Source0-md5:	328f0a0d08cdf977378d48eb3e2e6e2c
Source1:	gitolite.conf
Source2:	gitolite.rc
Source3:	git.conf
Source4:	gitweb.conf
Source5:	pld-developers
Source6:	crontab
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.202
Requires:	crondaemon
Requires:	git-core-slug
Requires:	gitolite
Requires:	perl-RPC-XML
Requires:	python3-requests
Provides:	group(%{gituser})
Provides:	user(%{gituser})
Requires(postun):	/usr/sbin/groupdel
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Suggests:	git-core-daemon
Suggests:	git-core-gitweb
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gitolite setup used by PLD Linux Distribution.

%description -l pl.UTF-8
Konfiguracja Gitolite wykorzystywana przez PLD.

%prep
%setup -qc
mv draenog-gitolite-scripts-*/* .

%install
rm -rf $RPM_BUILD_ROOT
# create directories if necessary
install -d $RPM_BUILD_ROOT/home/services/%{gituser}/.gitolite/{conf,hooks/common}
install -d $RPM_BUILD_ROOT/home/services/%{gituser}/{bin,configs}

cp -p %{SOURCE1} %{SOURCE5} $RPM_BUILD_ROOT/home/services/%{gituser}/.gitolite/conf
cp -p %{SOURCE2} $RPM_BUILD_ROOT/home/services/%{gituser}/.gitolite.rc
cp -p %{SOURCE3} $RPM_BUILD_ROOT/home/services/%{gituser}/.gitconfig
cp -a hooks/* $RPM_BUILD_ROOT/home/services/%{gituser}/.gitolite/hooks/common
cp -a adc $RPM_BUILD_ROOT/home/services/%{gituser}
cp -a bin/* $RPM_BUILD_ROOT/home/services/%{gituser}/bin

echo '*.spec' > $RPM_BUILD_ROOT/home/services/%{gituser}/configs/difforder

install -Dp %{SOURCE6} $RPM_BUILD_ROOT/etc/cron.d/git

# install additional config for gitweb package
install -D %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/webapps/gitweb/gitweb-pld.conf

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 264 %{gituser}
%useradd -u 264 -d /home/services/%{gituser} -s /bin/sh -g %{gituser} -c "PLD Gitolite User" %{gituser}

%postun
if [ "$1" = "0" ]; then
	%userremove %{gituser}
	%groupremove %{gituser}
fi

%files
%defattr(644,root,root,755)
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/webapps/gitweb/gitweb-pld.conf
%config(noreplace) %verify(not md5 mtime size) /etc/cron.d/git

# all files owned by %{gituser}:%{gituser}
%defattr(644,%{gituser},%{gituser},755)

%dir /home/services/%{gituser}
%config(noreplace) %verify(not md5 mtime size) /home/services/%{gituser}/.gitconfig

%dir /home/services/%{gituser}/.gitolite
%config(noreplace) %verify(not md5 mtime size) /home/services/%{gituser}/.gitolite.rc

%dir /home/services/%{gituser}/.gitolite/conf
%config(noreplace) %verify(not md5 mtime size) /home/services/%{gituser}/.gitolite/conf/gitolite.conf
%config(noreplace) %verify(not md5 mtime size) /home/services/%{gituser}/.gitolite/conf/pld-developers

%dir /home/services/%{gituser}/.gitolite/hooks
%dir /home/services/%{gituser}/.gitolite/hooks/common
%attr(744,%{gituser},%{gituser}) /home/services/%{gituser}/.gitolite/hooks/common/update.secondary
%attr(744,%{gituser},%{gituser}) /home/services/%{gituser}/.gitolite/hooks/common/post-receive
%dir /home/services/%{gituser}/.gitolite/hooks/common/post-receive.d
%attr(744,%{gituser},%{gituser}) /home/services/%{gituser}/.gitolite/hooks/common/post-receive.d/setdescription.sh
%attr(744,%{gituser},%{gituser}) /home/services/%{gituser}/.gitolite/hooks/common/post-receive.d/github.sh
/home/services/%{gituser}/.gitolite/hooks/common/post-receive.python.d
%dir /home/services/%{gituser}/.gitolite/hooks/common/post-receive.d/misc
%attr(744,%{gituser},%{gituser}) /home/services/%{gituser}/.gitolite/hooks/common/post-receive.d/misc/ciabot.pl
%dir /home/services/%{gituser}/.gitolite/hooks/common/post-receive.d/gnome
%attr(744,%{gituser},%{gituser}) /home/services/%{gituser}/.gitolite/hooks/common/post-receive.d/gnome/gnome-post-receive-email
/home/services/%{gituser}/.gitolite/hooks/common/post-receive.d/gnome/*.py
/home/services/%{gituser}/.gitolite/hooks/common/post-receive.d/gnome-post-receive-email
%dir /home/services/%{gituser}/adc
%dir /home/services/%{gituser}/adc/bin
%attr(744,%{gituser},%{gituser}) /home/services/%{gituser}/adc/bin/create
%attr(744,%{gituser},%{gituser}) /home/services/%{gituser}/adc/bin/sskm
/home/services/%{gituser}/adc/bin/adc.common-functions
%dir /home/services/%{gituser}/bin
%attr(744,%{gituser},%{gituser}) /home/services/%{gituser}/bin/specscommit.sh
%attr(744,%{gituser},%{gituser}) /home/services/%{gituser}/bin/pldgithub.py
%dir /home/services/%{gituser}/configs
%config(noreplace) %verify(not md5 mtime size) /home/services/%{gituser}/configs/difforder
%changelog
* Sun Apr 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pld-gitolite.git;a=log;h=master

* Wed Sep 05 2012 Kacper Kornet <draenog@pld-linux.org> 3742eda
- up to 0.13.4
- limit for email sizes effective again
- limit emails to 4000 lines

* Wed Oct 17 2012 Kacper Kornet <draenog@pld-linux.org> 98081bd
- up to 0.13.3

* Wed Sep 05 2012 Kacper Kornet <draenog@pld-linux.org> 800f99e
- up to 0.13.2
- new options for link to gitweb and order of files in emails
- new config file with order of files in emails

* Mon Aug 13 2012 Kacper Kornet <draenog@pld-linux.org> 76c8003
- up to 0.13.1

* Fri Jul 27 2012 Kacper Kornet <draenog@pld-linux.org> 3ff6439
- up to 0.13

* Wed Jul 18 2012 Kacper Kornet <draenog@pld-linux.org> aa9a18c
- up to 0.12

* Wed Jul 18 2012 Kacper Kornet <draenog@pld-linux.org> 736215f
- git is a better name for user

* Wed Jul 18 2012 Kacper Kornet <draenog@pld-linux.org> a838ca3
- prevent log reflogs on server

* Tue Jul 17 2012 Kacper Kornet <draenog@pld-linux.org> a00a271
- prevent changes to Ra branches and tags

* Tue Jul 17 2012 Kacper Kornet <draenog@pld-linux.org> 5447036
- new style of auto tags

* Tue Jul 17 2012 Kacper Kornet <draenog@pld-linux.org> f4528ec
- prevent accidental pushes of remote tracking branches

* Tue Jul 10 2012 Jakub Bogusz <qboosh@pld-linux.org> 6457337
- pl
- unified macro usage

* Tue Jul 10 2012 Elan Ruusamäe <glen@delfi.ee> 091c8cf
- it's not real webapp packaged here, it installs additional config to gitweb

* Tue Jul 10 2012 Elan Ruusamäe <glen@delfi.ee> ba85e92
- BR rpm-pythonprov

* Mon Jul 09 2012 Kacper Kornet <draenog@pld-linux.org> cf7547c
- up to 0.11

* Wed Jul 04 2012 Kacper Kornet <draenog@pld-linux.org> a65f81b
- up to 0.10

* Tue Jul 03 2012 Kacper Kornet <draenog@pld-linux.org> c48215e
- limit size of email

* Tue Jul 03 2012 Kacper Kornet <draenog@pld-linux.org> ab1c120
Variables to set watchdir and Attic directories

* Mon Jul 02 2012 Kacper Kornet <draenog@pld-linux.org> 123a721
- show urls to clone a repository in gitweb

* Wed Jun 27 2012 Kacper Kornet <draenog@pld-linux.org> d20f156
- gitolite -> git in gitweb configuration file

